summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
Diffstat (limited to 'development')
-rw-r--r--development/netbeans/README4
-rw-r--r--development/netbeans/doinst.sh17
-rw-r--r--development/netbeans/netbeans.SlackBuild40
-rw-r--r--development/netbeans/netbeans.info10
-rw-r--r--development/netbeans/netbeans.pngbin0 -> 1944 bytes
5 files changed, 39 insertions, 32 deletions
diff --git a/development/netbeans/README b/development/netbeans/README
index 160a28bd28..7b48d99f22 100644
--- a/development/netbeans/README
+++ b/development/netbeans/README
@@ -16,4 +16,6 @@ NOTES:
into the line #6(netbeans_default_options) in the file
/opt/netbeans/etc/netbeans.conf
- GlassFish and Apache Tomcat are not available in this package.
+GlassFish and Apache Tomcat are not available in this package.
+
+Also note that this is not available for x86_64.
diff --git a/development/netbeans/doinst.sh b/development/netbeans/doinst.sh
index dd978de8bc..ad2dc4a4ca 100644
--- a/development/netbeans/doinst.sh
+++ b/development/netbeans/doinst.sh
@@ -1,5 +1,3 @@
-#!/bin/sh
-
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
@@ -13,14 +11,21 @@ config() {
# Otherwise, we leave the .new copy for the admin to consider...
}
-config opt/netbeans/etc/netbeans.conf.new
-config opt/netbeans/etc/netbeans.clusters.new
-
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications 2>/dev/null
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
if [ -x /usr/bin/update-mime-database ]; then
/usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+config opt/netbeans/etc/netbeans.conf.new
+config opt/netbeans/etc/netbeans.clusters.new
+config opt/netbeans/etc/netbeans.import.new
+
diff --git a/development/netbeans/netbeans.SlackBuild b/development/netbeans/netbeans.SlackBuild
index ee1c396549..dbd0d308a7 100644
--- a/development/netbeans/netbeans.SlackBuild
+++ b/development/netbeans/netbeans.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for netbeans
-# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2008-2009, Antonio Hernández Blas <hba.nihilismus@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,9 +24,9 @@
# This script is just a binary repackaging.
PRGNAM=netbeans
-VERSION=6.5.1
-DATE="200903060201"
-ARCH=i586 # Leave this alone
+VERSION=6.7.1
+DATE="200907230233"
+ARCH=i586
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -39,48 +39,46 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG/opt $OUTPUT
-cd $TMP
-rm -rf $PRGNAM
+cd $PKG/opt
unzip -o $CWD/$PRGNAM-$VERSION-$DATE-ml.zip
-cd $PRGNAM
chown -R root:root .
+
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Move the netbeans directory to $PKG/opt
-cd $TMP
-mv $PRGNAM $PKG/opt
-
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
# Add netbeans to KDE/GNOME/XFCE menu
install -D -m 0644 $CWD/$PRGNAM.desktop \
$PKG/usr/share/applications/$PRGNAM.desktop
# Add an icon for netbeans
-install -D -m 0644 $PKG/opt/$PRGNAM/nb6.5/$PRGNAM.png \
- $PKG/usr/share/pixmaps/$PRGNAM.png
+install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
-# Add a script to call netbeans from /usr/bin.
+# Add an script to call netbeans from /usr/bin.
mkdir -p $PKG/usr/bin
cat <<- EOF > $PKG/usr/bin/netbeans
#!/bin/sh
cd /opt/netbeans/bin
-./netbeans "\$@"
+./netbeans \$@
EOF
chmod 0755 $PKG/usr/bin/netbeans
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
# Don't clobber any existing config file
mv $PKG/opt/$PRGNAM/etc/netbeans.conf \
$PKG/opt/$PRGNAM/etc/netbeans.conf.new
mv $PKG/opt/$PRGNAM/etc/netbeans.clusters \
$PKG/opt/$PRGNAM/etc/netbeans.clusters.new
+mv $PKG/opt/$PRGNAM/etc/netbeans.import \
+ $PKG/opt/$PRGNAM/etc/netbeans.import.new
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cd $PKG/opt/$PRGNAM
@@ -92,4 +90,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/netbeans/netbeans.info b/development/netbeans/netbeans.info
index 5bd3816dee..9543c9d60c 100644
--- a/development/netbeans/netbeans.info
+++ b/development/netbeans/netbeans.info
@@ -1,8 +1,10 @@
PRGNAM="netbeans"
-VERSION="6.5.1"
+VERSION="6.7.1"
HOMEPAGE="http://www.netbeans.org"
-DOWNLOAD="http://download.netbeans.org/netbeans/sync/6.5.1/zip/netbeans-6.5.1-200903060201-ml.zip"
-MD5SUM="44e38f746716ca571c42045e59560c6a"
+DOWNLOAD="http://download.netbeans.org/netbeans/sync/6.7.1/zip/netbeans-6.7.1-200907230233-ml.zip"
+MD5SUM="b933d91549042c280e96e1c602ccae31"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
MAINTAINER="Antonio Hernández Blas"
EMAIL="hba.nihilismus@gmail.com"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/development/netbeans/netbeans.png b/development/netbeans/netbeans.png
new file mode 100644
index 0000000000..05a2747582
--- /dev/null
+++ b/development/netbeans/netbeans.png
Binary files differ